Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 226)
@@ -5,7 +5,6 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
-;
 ;
 ; @param VALUE
@@ -13,19 +12,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -49,5 +43,5 @@
       widget_control, sliderid, set_value = {slider_min:mini, slider_max:maxi, value:boxzoom[0]<maxi}
       thickness = boxzoom[1]-boxzoom[0]
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
       mini = floor(min([gphit, gphif], max = maxi))
       maxi = ceil(maxi)-thickness
@@ -57,5 +51,5 @@
    thicknessval = thicknessuval.choix
    index = where(thicknessval EQ thickness) & index = index[0]
-   if index EQ -1 then BEGIN 
+   if index EQ -1 then BEGIN
       index = 20
       thicknessval[20] = strtrim(thickness, 1)
@@ -73,24 +67,18 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
-;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -117,5 +105,5 @@
          mini = floor(min([glamt, glamf], max = maxi))
          maxi = ceil(maxi)-thickness
-      ENDIF ELSE BEGIN 
+      ENDIF ELSE BEGIN
          mini = floor(min([gphit, gphif], max = maxi))
          maxi = ceil(maxi)-thickness
@@ -136,5 +124,5 @@
 ; print, lon1, mini, maxi
 ;             widget_control, sliderid, set_value = {value:lon1, slider_min_max:[mini, maxi]}
-;          ENDIF ELSE BEGIN 
+;          ENDIF ELSE BEGIN
 ;             mini = floor(min([gphit, glamf], max = maxi))
 ;             maxi = ceil(maxi)
@@ -145,5 +133,5 @@
 ; print, 'ds if',firstxt, 0, jpi-1
 ;             widget_control, sliderid, set_value = {value:firstxt, slider_min_max:[0, jpi-1]}
-;          ENDIF ELSE BEGIN 
+;          ENDIF ELSE BEGIN
 ;             widget_control, sliderid, set_value = {value:firstyt, slider_min_max:[0, jpj-1]}
 ;          ENDELSE
@@ -154,13 +142,13 @@
    if type EQ 'y' then begin
       boxzoom[0] = slider &  boxzoom[1] = slider+thickness
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
       boxzoom[2] = slider &  boxzoom[3] = slider+thickness
-   ENDELSE 
+   ENDELSE
 ;    ENDIF ELSE BEGIN
 ;       if strpos(type,'y') NE -1 then begin
 ;          boxzoom[0] = glamt[slider, 0] &  boxzoom[1] = glamf[slider+thickness, 0]
-;       ENDIF ELSE BEGIN 
+;       ENDIF ELSE BEGIN
 ;          boxzoom[2] = gphit[0, slider] &  boxzoom[3] = gphif[0, slider+thickness]
-;       ENDELSE 
+;       ENDELSE
 ;    ENDELSE
    widget_control, domainid, set_value = boxzoom
@@ -179,11 +167,11 @@
 ;
 ; @keyword BOXZOOM
-; Vector indicating the geographic zone on which we want to cut the map. 
-; If BOXZOOM has : 
+; Vector indicating the geographic zone on which we want to cut the map.
+; If BOXZOOM has :
 ;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
 ;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
 ;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
-;   6 elements: The extraction is made on Boxzoom 
+;   6 elements: The extraction is made on Boxzoom
 ; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
 ;
@@ -191,39 +179,34 @@
 ; Buttons will be arranged in the number of columns
 ; specified by this keyword.
-; 
+;
 ; @keyword FRAME
 ; Specifies the width of the frame to be drawn around the base.
-; 
+;
 ; @keyword ROW
 ; Buttons will be arranged in the number of rows
 ; specified by this keyword.
-; 
+;
 ; @keyword UVALUE
 ; The user value to be associated with the widget.
-; 
+;
 ; @keyword UNAME
 ; The user name to be associated with the widget.
-; 
+;
 ; @keyword _EXTRA
 ; Used to pass your keywords
-; 
+;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
-; 
+;
 ; @todo
 ; seb: documenter
@@ -236,7 +219,7 @@
 @common
 ;------------------------------------------------
-; cheking exclusive keywords
+; checking exclusive keywords
    column = keyword_set(column)*(1-keyword_set(row))
-   row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column) 
+   row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column)
    if NOT keyword_set(uvalue) then uvalue = ''
    if NOT keyword_set(uname) then uname = ''
@@ -247,5 +230,5 @@
                       , PRO_SET_VALUE='cw_slide_slice_set_value' $
                       , ROW = row, COLUMN = column, UVALUE = uvalue, UNAME = uname $
-                      , FRAME = frame, _extra = ex)   
+                      , FRAME = frame, _extra = ex)
 ;------------------------------------------------
    if NOT keyword_set(boxzoom) then boxzoom = [lon1, lon2, lat1, lat2]
@@ -264,5 +247,5 @@
                           , value = mini > boxzoom[0] < maxi, /column, uname = 'slider' $
                           , uvalue = {name:'slider'})
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
       mini = floor(min([gphit, gphif], max = maxi))
       thickness = boxzoom[3]-boxzoom[2]
@@ -273,5 +256,5 @@
    ENDELSE
    index = where(thicknessval EQ thickness) & index = index[0]
-   if index EQ -1 then BEGIN 
+   if index EQ -1 then BEGIN
       index = 20
       thicknessval[20] = strtrim(thickness, 1)
@@ -280,13 +263,13 @@
    endif
    widget_control, droplistid, set_value = {droplist_select:index}
-   
+
 ;   if type EQ 'xt' then begin
 ;       mini = floor(min([glamt,glamf], max = maxi))
 ;       maxi = ceil(maxi)
-;    ENDIF ELSE BEGIN 
+;    ENDIF ELSE BEGIN
 ;       mini = floor(min([gphit,gphif], max = maxi))
 ;       maxi = ceil(maxi)
 ;    ENDELSE
-   
+ 
 ;------------------------------------------------
    return, base
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro	(revision 226)
@@ -6,17 +6,17 @@
 ;    case uval of
 ;       'done':widget_control, event.top, /destroy
-;       'slider_min':BEGIN 
+;       'slider_min':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, SliderBarId, set_value = {slider_min:value}
 ;       END
-;       'slider_max':BEGIN 
+;       'slider_max':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, SliderBarId, set_value = {slider_max:value}
 ;       END
-;       'slider_value':BEGIN 
+;       'slider_value':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, SliderBarId, set_value = value
 ;       END
-;       'get':BEGIN 
+;       'get':BEGIN
 ;          widget_control, SliderBarId, get_value = value
 ;          help,  value, /struct
@@ -57,19 +57,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -93,19 +88,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -124,7 +114,6 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
-;
 ;
 ; @param VALUE
@@ -132,19 +121,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -161,5 +145,5 @@
       case strtrim(strlowcase(tagnames[tag]), 2) of
         'slider_min':BEGIN
-;          IF float(value.slider_min[0]) LT minmax[1] THEN BEGIN 
+;          IF float(value.slider_min[0]) LT minmax[1] THEN BEGIN
             minmax[0] = value.slider_min[0]
             widget_control, sbid, set_slider_min = floor(float(value.slider_min[0]))
@@ -169,9 +153,9 @@
               widget_control, dcid, set_value = decvalue(value.slider_min)
               widget_control, dcid, set_combobox_select = decind(value.slider_min)
-            ENDIF 
-;          ENDIF 
+            ENDIF
+;          ENDIF
         end
         'slider_max':BEGIN
-;          IF float(value.slider_max[0]) GT minmax[0] THEN BEGIN 
+;          IF float(value.slider_max[0]) GT minmax[0] THEN BEGIN
             minmax[1] = value.slider_max[0]
             widget_control, sbid, set_slider_max = ceil(float(value.slider_max[0]))
@@ -181,6 +165,6 @@
               widget_control, dcid, set_value = decvalue(value.slider_max)
               widget_control, dcid, set_combobox_select = decind(value.slider_max)
-            ENDIF 
-;          ENDIF 
+            ENDIF
+;          ENDIF
         end
         'value':IF float(value.value[0]) GE minmax[0] $
@@ -189,13 +173,13 @@
       endcase
     endfor
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     IF float(value[0]) GE minmax[0] $
       AND float(value[0]) LE minmax[1] THEN value2 = float(value[0])
   ENDELSE
-  IF n_elements(value2) NE 0 THEN BEGIN 
+  IF n_elements(value2) NE 0 THEN BEGIN
     widget_control, sbid, set_value = fix(value2)
     widget_control, dcid, set_value = decvalue(value2)
     widget_control, dcid, set_combobox_select = decind(value2)
-  ENDIF 
+  ENDIF
   return
 end
@@ -206,25 +190,19 @@
 ;
 ; @categories
-; Compound widget 
-; 
+; Compound widget
+;
 ; @param ID
 ;
-;
-; @returns
-; 
-; 
+; @returns
+;
 ; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -246,24 +224,18 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
-; 
-;
-; @returns
-; 
-; 
+;
+; @returns
+;
 ; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -284,5 +256,5 @@
     'minus':if (value - 1) GE minmax[0] then value2 = value - 1 ELSE out = -1
     'SliderBar':if (event.value + value - floor(value)) LE minmax[1] THEN value2 = event.value + value - floor(value)
-    'decimal':BEGIN 
+    'decimal':BEGIN
       CASE 1 OF
         value GT minmax[1]: value2 = minmax[1]
@@ -313,5 +285,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param PARENT {in}{required}
 ; The widget ID of the parent widget.
@@ -319,17 +291,15 @@
 ; @keyword UVALUE
 ; The user value to be associated with the widget.
-; 
+;
 ; @keyword UNAME
 ; The user name to be associated with the widget.
-; 
+;
 ; @keyword VALUE
 ;
-;
 ; @keyword MAXIMUM
-; 
-; 
+;
 ; @keyword MINIMUM
 ;
-; 
+;
 ; @keyword STRMINLEN
 ;
@@ -365,5 +335,5 @@
 ;  computationally expensive operations until the user releases the
 ;  slider.
-;  OUT:It is an integer which can take 3 values: 
+;  OUT:It is an integer which can take 3 values:
 ;       1 : If we press + when the index is already at the max
 ;       Comment: In this case, the index stay at the max
@@ -378,6 +348,6 @@
 ;       1) GET_VALUE
 ;   widget_control,wid_id,get_value=resultat
-;   Send back in the result variable a structure of 2 elements whose name 
-;   are inspired from keywords we can pass at 
+;   Send back in the result variable a structure of 2 elements whose name
+;   are inspired from keywords we can pass at
 ;   widget_control when we use WIDGET_SLIDER:
 ;            VALUE:the value setting of the widget
@@ -386,8 +356,8 @@
 ;       2) SET_VALUE
 ;   widget_control,wid_id,set_value=impose
-;   Allows to modify the state of the combobox like we can do it for 
-;   WIDGET_COMBOBOX. May impose:  
+;   Allows to modify the state of the combobox like we can do it for
+;   WIDGET_COMBOBOX. May impose:
 ;       a) a integer: give the new position of the slider.
-;       b) A structure which can have for elements (from 1 to 3): 
+;       b) A structure which can have for elements (from 1 to 3):
 ;            VALUE: an integer which give the new position of the slider
 ;            SLIDER_MIN:Set to a new minimum value for the specified
@@ -428,7 +398,7 @@
   if NOT keyword_set(title) then title = '    '
 ;
-; cheking exclusive keywords
+; checking exclusive keywords
   column = (keyword_set(column)*(1-keyword_set(row))+keyword_set(vertical)) < 1
-  row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column) 
+  row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column)
   if NOT keyword_set(uvalue) then uvalue = ''
   if NOT keyword_set(uname) then uname = ''
@@ -437,5 +407,5 @@
                      , FUNC_GET_VALUE = 'cw_slider_pm_get_value' $
                      , PRO_SET_VALUE = 'cw_slider_pm_set_value' $
-                     , space = 0, UVALUE = uvalue, UNAME = uname, _extra = ex)   
+                     , space = 0, UVALUE = uvalue, UNAME = uname, _extra = ex)
 ;
   mlen = (widget_info(base, string_size = 'm'))[0]
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro	(revision 226)
@@ -6,7 +6,6 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
-;
 ;
 ; @param VALUE
@@ -14,22 +13,16 @@
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
-; $Id$
-;-
-;*****************************************************
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
+; $Id$
+;-
 PRO cw_specifie_set_value, id, value
 ;
@@ -43,5 +36,5 @@
    widget_control, widget_info(id,find_by_uname='palnum'), set_value = strtrim(value.lct, 2)
    autres = extractstru(value, ['min', 'max', 'inter', 'lct', 'nothing', 'xindex', 'yindex'])
-   if size(autres, /type) EQ 8 then BEGIN 
+   if size(autres, /type) EQ 8 then BEGIN
       autresid = widget_info(id,find_by_uname='autres')
       widget_control, widget_info(id, find_by_uname = 'autres'), get_value = autresautres
@@ -64,27 +57,20 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
-;
-; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
-; $Id$
-;-
-;*****************************************************
+; @returns
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
+; $Id$
+;-
 FUNCTION cw_specifie_get_value, id
 ;
@@ -118,30 +104,23 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
-;
-; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
-; $Id$
-;-
-;*****************************************************
+; @returns
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
+; $Id$
+;-
 FUNCTION cw_specifie_event, event
 ;------------------------------------------------------------
-; on recuper les ID des differents widgets 
+; on recupere les ID des differents widgets
 ;------------------------------------------------------------
 ;------------------------------------------------------------
@@ -157,7 +136,7 @@
 ;------------------------------------------------------------
   case uval of
-    'default':BEGIN 
+    'default':BEGIN
 ;---------------
-; We find the name of the variable: 
+; We find the name of the variable:
       vlstid = widget_info(event.top, find_by_uname = 'varlist')
       fieldname = widget_info(vlstid, /combobox_gettext)
@@ -170,5 +149,5 @@
       widget_control, widget_info(event.handler, find_by_uname = 'autres'), set_value = ''
     END
-    'palcol':BEGIN 
+    'palcol':BEGIN
       ind = fix(strmid(event.value, 0, strpos(event.value, '-')))
       widget_control, widget_info(event.handler, find_by_uname = 'palnum'), set_value = strtrim(ind, 1)
@@ -186,5 +165,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param PARENT {in}{required}
 ; The widget ID of the parent widget.
@@ -193,12 +172,12 @@
 ; Buttons will be arranged in the number of columns
 ; specified by this keyword.
-; 
+;
 ; @keyword ROW
 ; Buttons will be arranged in the number of rows
 ; specified by this keyword.
-; 
+;
 ; @keyword UVALUE
 ; The user value to be associated with the widget.
-; 
+;
 ; @keyword UNAME
 ; The user name to be associated with the widget.
@@ -206,41 +185,33 @@
 ; @keyword FRAME
 ;
-;
 ; @keyword FORXXX
 ;
-; 
 ; @keyword _EXTRA
 ; Used to pass your keywords
 ;
-; 
-; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
-; $ID$
+; @returns
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
+; $Id$
 ;
 ; @todo
 ; seb: documenter
-; 
+;
 ;-
 FUNCTION cw_specifie, parent, ROW = row, COLUMN = column, UVALUE = uvalue, UNAME = uname, FRAME = frame, FORXXX = forxxx, _extra = ex
-; cheking exclusive keywords
+; checking exclusive keywords
 ;
   compile_opt idl2, strictarrsubs
 ;
    column = keyword_set(column)*(1-keyword_set(row))
-   row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column) 
+   row = keyword_set(row)*(1-keyword_set(column)) +(keyword_set(row) EQ column)
 ;------------------------------------------------
    if NOT keyword_set(uvalue) then uvalue = ''
@@ -250,6 +221,6 @@
                       , FUNC_GET_VALUE='cw_specifie_get_value' $
                       , PRO_SET_VALUE='cw_specifie_set_value' $
-                      , UVALUE = uvalue, UNAME = uname, _extra = ex)   
-; base1 
+                      , UVALUE = uvalue, UNAME = uname, _extra = ex)
+; base1
    base1 = widget_base(base)
    rien = widget_label(base1, value = 'Min', xoffset =  85, yoffset = 15)
@@ -277,7 +248,7 @@
 
 
-; widget text containig other keywords pass into top_uvalue.exextra
+; widget text containing other keywords pass into top_uvalue.exextra
 ; Does it remain some? If yes, we have to put them as string
-   
+
    rien = widget_text(base, value = '  ', /editable, uname = 'autres', uvalue = 'autres', xsize = 54, ysize = 3, yoffset = 65, /wrap, /no_newline)
 
Index: /trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro	(revision 226)
@@ -9,11 +9,11 @@
 ; @categories
 ; Information
-; 
+;
 ; @param TEXT {in}{required}{type=string vector or scalar}
-; it is a string or a vector of string. If it is a scalar, we 
+; it is a string or a vector of string. If it is a scalar, we
 ; look for the line separator !C to create a text with several lines.
 ;
 ; @keyword CHKWIDGET
-; Force to verify that they are some active widget to create a widget, 
+; Force to verify that they are some active widget to create a widget,
 ; otherwise print at the prompt
 ;
@@ -21,7 +21,7 @@
 ; The identity of the created widget
 ;
-; @restrictions 
-; It do not call xmanager -> It do not create any event! 
-; We have to delete this widget manuelly:
+; @restrictions
+; It do not call xmanager -> It do not create any event!
+; We have to delete this widget manually:
 ; widget_control, widgetid, /destroy
 ;
Index: /trunk/SRC/ToBeReviewed/WIDGET/xxx.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 226)
@@ -5,24 +5,18 @@
 ; @categories
 ;
-; 
 ; @param EVENT
 ;
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -35,5 +29,5 @@
 ;------------------------------------------------------------
 ;    = widget_info(event.top,find_by_uname = '')
-; What is the type of evenment ?
+; What is the type of event ?
 ;   if event.id EQ 622 then help,  event,  /struct
    widget_control, event.id, get_uvalue=uval
@@ -42,5 +36,5 @@
 ;help,  event, /struct
 ;help, uval , /struct
-; case on the type of evenment
+; case on the type of event
    widget_control, event.top, get_uvalue = top_uvalue
 ; If we activate the keyword separate at the call of xxx
@@ -122,5 +116,5 @@
 ; @categories
 ; Widget
-; 
+;
 ; @param DATAFILENAME
 ;
@@ -134,11 +128,11 @@
 ; @keyword SEPARATE
 ; To separate the button part and the drawing part in 2 windows.
-; Useful for small screens, but be careful to do not saturate the 
+; Useful for small screens, but be careful to do not saturate the
 ; video memory of some antiquated Tx.
 ;
 ; @keyword RESTORE
-; 'toto.dat' or toto.dat is a file created at the time of a precedent 
+; 'toto.dat' or toto.dat is a file created at the time of a precedent
 ; use of xxx thanks to the command "Widget" of the menu "save as".
-; 
+;
 ; @keyword _EXTRA
 ; Used to pass your keywords
@@ -148,10 +142,10 @@
 ;
 ; @keyword REDRAW
-; 
+;
 ;
 ; @keyword SEPARATE
 ;
 ;
-; @keyword UVALUE 
+; @keyword UVALUE
 ; The user value to be associated with the widget.
 ;
@@ -191,9 +185,9 @@
   if keyword_set(restore) then BEGIN
     restore = isafile(filename = restore, iodir = homedir, _extra = ex)
-    if size(restore, /type) NE 7 then restore = 0 ELSE BEGIN 
+    if size(restore, /type) NE 7 then restore = 0 ELSE BEGIN
       restore, isafile(file = restore, iodir = homedir, _extra = ex)
       newgrid = *(extractatt(uvalue, 'meshparameters'))[0]
       change = changegrid(newgrid)
-    ENDELSE 
+    ENDELSE
   endif
   if n_elements(CallerWidId) NE 0 THEN $
@@ -203,5 +197,5 @@
 ; list of files we want to look at
 ;
-  if keyword_set(uvalue) then BEGIN 
+  if keyword_set(uvalue) then BEGIN
     currentfile = extractatt(uvalue, 'currentfile')
     filelist = extractatt(uvalue, 'filelist')
@@ -222,16 +216,16 @@
   ENDELSE
 ;
-  if keyword_set(uvalue) THEN BEGIN 
+  if keyword_set(uvalue) THEN BEGIN
     smallin = extractatt(uvalue, 'smallin')
     smallout = extractatt(uvalue, 'smallout')
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     smallin = [1, 1, 1]
     smallout = [1, 1, 1]
-  ENDELSE 
+  ENDELSE
   nbredessin = smallin[0]*smallin[1]
   numdessinin = smallin[2]-1
 ; warning flg definition must be consistent with cw_pdmenu argument
 ; see also flag definition in cw_pagelayout
-  if keyword_set(uvalue) then BEGIN 
+  if keyword_set(uvalue) then BEGIN
     flag = extractatt(uvalue, 'optionsflag')
     key_portrait = flag[0, numdessinin]
@@ -252,8 +246,8 @@
 ; The top base
 ;------------------------------------------------------------
-  IF xxxsize[0] LE scrsize[0] AND xxxsize[1] LE scrsize[1] THEN BEGIN 
+  IF xxxsize[0] LE scrsize[0] AND xxxsize[1] LE scrsize[1] THEN BEGIN
     base = widget_base(title = 'xxx', GROUP_LEADER = group, /tracking_events $
                        , uname = 'base', space = 0)
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     base = widget_base(title = 'xxx', GROUP_LEADER = group, /tracking_events $
                        , uname = 'base', space = 0 $
@@ -278,5 +272,5 @@
     selectact = (extractatt(uvalue, 'types'))[numdessinin]
     selectact = (where(pltlst EQ selectact))[0]
-    widget_control, actid, set_combobox_select = 0 > selectact 
+    widget_control, actid, set_combobox_select = 0 > selectact
   ENDIF ELSE selectfile = 0
 
@@ -316,5 +310,5 @@
   yoff = yoff + 37
   xoff = 5
-; boutton 'OK'
+; button 'OK'
   baseok = widget_button(base, value = ' OK ', uvalue = {name:'ok'}, uname = 'ok button' $
                          , /frame, xoffset = xoff, yoffset = yoff)
@@ -337,5 +331,5 @@
     selectvar = (extractatt(uvalue, 'varinfo'))[1, numdessinin]
     selectvar = (where(currentlistvar EQ selectvar))[0]
-    widget_control, vlstid, set_combobox_select = 0 > selectvar 
+    widget_control, vlstid, set_combobox_select = 0 > selectvar
   ENDIF ELSE selectvar = 0
 ;------------------------------------------------------------
@@ -348,5 +342,5 @@
     selectfile = (extractatt(uvalue, 'varinfo'))[0, numdessinin]
     selectfile = (where(file_basename(filelist) EQ selectfile))[0]
-    widget_control, flstid, set_combobox_select = 0 > selectfile 
+    widget_control, flstid, set_combobox_select = 0 > selectfile
   ENDIF ELSE selectfile = 0
 ;------------------------------------------------------------
@@ -375,5 +369,5 @@
   dummyid = cw_calendar(basecalid, currentcalendar, date2, FAKECAL = fakecal, uname = 'calendar2', uvalue = {name:'calendar2'}, /frame)
 ;------------------------------------------------------------
-; Domain 
+; Domain
 ;------------------------------------------------------------
   yoff = yoff + 60
@@ -399,5 +393,5 @@
      basegraph = widget_base(title = 'xxx window',  group_leader = base, uvalue = base) $
   ELSE basegraph = base
-  
+
   graphid = widget_draw(basegraph, uname = 'graph', /button_events, retain = 2 $
                         , uvalue = {name:'graph', press:0, click:0, x:[0., 0.], y:[0., 0.]} $
@@ -416,7 +410,7 @@
   if keyword_set(uvalue) then BEGIN ;
 ; We recopy the pointer uvalue in top_uvalue.
-; Beware, we have to redefine completely top_value from variables 
-; pointed by uvalue. Otherwise, if we simply do top_value = uvalue, 
-; when we delete by uvalue and variables on which it point, we 
+; Beware, we have to redefine completely top_value from variables
+; pointed by uvalue. Otherwise, if we simply do top_value = uvalue,
+; when we delete by uvalue and variables on which it point, we
 ; also delete variables on which point top_value.
     case 1 of
@@ -443,5 +437,5 @@
 ; widgets's state
         updatewidget, base
-; 
+;
       END
       ELSE:BEGIN
@@ -450,15 +444,15 @@
         FOR i =  0, 14 do *top_uvalue[1, i] = *uvalue[1, i]
         FOR i = 18, 27 do *top_uvalue[1, i] = *uvalue[1, i]
-        numfile = n_elements(extractatt(uvalue, 'filelist')) 
+        numfile = n_elements(extractatt(uvalue, 'filelist'))
         *top_uvalue[1, 15] = ptrarr(numfile, /allocate_heap)
         *top_uvalue[1, 16] = ptrarr(numfile, /allocate_heap)
         *top_uvalue[1, 17] = ptrarr(numfile, /allocate_heap)
         for i = 0, numfile-1 do begin
-          *(*top_uvalue[1, 15])[i] = *(*uvalue[1, 15])[i] 
-          *(*top_uvalue[1, 16])[i] = *(*uvalue[1, 16])[i] 
-          *(*top_uvalue[1, 17])[i] = *(*uvalue[1, 17])[i] 
+          *(*top_uvalue[1, 15])[i] = *(*uvalue[1, 15])[i]
+          *(*top_uvalue[1, 16])[i] = *(*uvalue[1, 16])[i]
+          *(*top_uvalue[1, 17])[i] = *(*uvalue[1, 17])[i]
         endfor
         *top_uvalue[1, 28] = ptrarr(nbredessin, /allocate_heap)
-        for i = 0, nbredessin-1 do *(*top_uvalue[1, 28])[i] = *(*uvalue[1, 28])[i] 
+        for i = 0, nbredessin-1 do *(*top_uvalue[1, 28])[i] = *(*uvalue[1, 28])[i]
         widget_control, base, set_uvalue = top_uvalue
 ; Copy the screen of the widget of uvalue in top_value's one
@@ -478,7 +472,7 @@
 ;
 ENDIF ELSE BEGIN
-; Otherwise we will define all elements we will hook at the widget 
-; thanks to the top_value which is a pointer array with 2 
-; columns: names and variables. 
+; Otherwise we will define all elements we will hook at the widget
+; thanks to the top_value which is a pointer array with 2
+; columns: names and variables.
 ; We initialize all these elements.
 ; Variables concerning the widget in its generality.
@@ -486,6 +480,6 @@
 ; variables se rapportant aux differents fichiers que l''on peut lire
 ; variables specifiques a chaque dessin
-;      
-    
+;
+
 ; creation of the pointer we will hook at the widget.
     top_uvalue = ptrarr(2, 29, /allocate_heap)
@@ -516,5 +510,5 @@
     *top_uvalue[0, 21] = 'nameprocedures' & *top_uvalue[1, 21] = strarr(nbredessin)
     *top_uvalue[0, 22] = 'types' & *top_uvalue[1, 22] = strarr(nbredessin)
-    *top_uvalue[0, 23] = 'varinfo' & *top_uvalue[1, 23] = strarr(2, nbredessin)    
+    *top_uvalue[0, 23] = 'varinfo' & *top_uvalue[1, 23] = strarr(2, nbredessin)
     *top_uvalue[0, 24] = 'domaines' & *top_uvalue[1, 24] = fltarr(6, nbredessin)
     *top_uvalue[0, 25] = 'dates' & *top_uvalue[1, 25] = lonarr(2, nbredessin)
@@ -526,7 +520,7 @@
     createhistory, base, smallin
 ;
-  ENDELSE 
-;------------------------------------------------------------
-  xmanager, 'xxx', base, /no_block 
+  ENDELSE
+;------------------------------------------------------------
+  xmanager, 'xxx', base, /no_block
 ;------------------------------------------------------------
 ;------------------------------------------------------------
Index: /trunk/SRC/Utilities/report.pro
===================================================================
--- /trunk/SRC/Utilities/report.pro	(revision 225)
+++ /trunk/SRC/Utilities/report.pro	(revision 226)
@@ -11,5 +11,5 @@
 ; @param TEXT {in}{required}
 ; one string or one vector of string. Si le string ne
-; comporte qu''un element, on cherche les eventuels characteres de
+; comporte qu''un element, on cherche les eventuels caracteres de
 ; retour a la ligne: '!C'. If text is set to an array of strings, each
 ; array element is displayed as a separate line of text.
Index: /trunk/SRC/Utilities/routine_name.pro
===================================================================
--- /trunk/SRC/Utilities/routine_name.pro	(revision 225)
+++ /trunk/SRC/Utilities/routine_name.pro	(revision 226)
@@ -59,5 +59,5 @@
 ;
   name = str_sep(allnames, '%') ; we cut it out again.
-  name = strtrim(name, 2)     ; we remouve blanks in front of and behind
+  name = strtrim(name, 2)     ; we remove blanks in front of and behind
   name = strcompress(name)      ; we compress blanks
 ; we do not hold back the two first elements who are a blanck  and the line concerning
Index: /trunk/SRC/Utilities/text_box.pro
===================================================================
--- /trunk/SRC/Utilities/text_box.pro	(revision 225)
+++ /trunk/SRC/Utilities/text_box.pro	(revision 226)
@@ -24,5 +24,5 @@
 ;               prior to writing the text.  If both BG_COLOR and !p.color
 ;               are zero then the background color is reset to 255 to
-;               gaurantee a readability.
+;               guarantee a readability.
 ;
 ; @keyword RIGHT
